# fkit-learn: Functional Machine Learning

![PyPI](https://img.shields.io/pypi/v/fklearn.svg?style=flat-square)
[![Documentation Status](https://readthedocs.org/projects/fklearn/badge/?version=latest)](https://fklearn.readthedocs.io/en/latest/?badge=latest)
[![Gitter](https://badges.gitter.im/fklearn-python/community.svg)](https://gitter.im/fklearn-python/community?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge)
[![CircleCI](https://circleci.com/gh/nubank/fklearn.svg?style=svg)](https://circleci.com/gh/nubank/fklearn)
[![License](https://img.shields.io/badge/License-Apache%202.0-blue.svg)](https://opensource.org/licenses/Apache-2.0)

**fkit-learn** makes it easier to solve real business problems using Machine Learning. It largely relies on functional programming principles to help achieve this goal.

The name is a tribute to the widely known [scikit-learn](https://scikit-learn.org/stable/) library.

**Fklearn Principles**

1. Models should be production-ready with few extra steps.
2. Validation should reflect real-life situations.
3. Production models should match validated models.
4. Reproducibility should be easily attainable.
5. In-depth analysis and interpretation of model results should be simple to do.


[Getting Started]() |
[Documentation](https://fklearn.readthedocs.io/en/latest/) |


## Installation

To install via pip:

```
pip install fklearn
```

You can also install from the source:

```sh
git clone git@github.com:nubank/fklearn.git
cd fklearn
git checkout master
pip install -e .
```

## Contribution guidelines

Please review our [contribution guidelines](CONTRIBUTING.md) and [code of conduct](CODE-OF-CONDUCT.md) when contributing.

## License

[Apache License 2.0](LICENSE)
